package com.wms_main.model.dto.response.mywms;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class OrderResponse {
    @JsonProperty("code")
    private Integer code;

    @JsonProperty("message")
    private String message;

    public static OrderResponse success() {
        return new OrderResponse(0, "success");
    }

    public static OrderResponse error(String message) {
        return new OrderResponse(999, message);
    }
}
